/*
 * logger.plugin - A regular expression logger for Gnome-Mud
 * Copyright (C) 2004  Quim Rovira
 * Created on 22-07-2004
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

typedef struct {
	gchar *regexp;
	gchar *target_window;
	gchar *color;
	pcre *re;
	pcre_extra *re_extra;

} LOGGER_REGEXP;

typedef struct {
	gboolean enabled;
	gint autosave_interval;
	
	GSList *regexps;
} LOGGER_CONFIG;

static void init_plugin   (PLUGIN_OBJECT *, gint);
